package obelus2;

import java.awt.Component;
import java.awt.Container;
import java.awt.GridBagConstraints;
import java.awt.Insets;
import java.text.DecimalFormat;

import javax.swing.JLabel;

/**
 * Static utility methods for Obelus
 * @author Javier Aranda (javier-aranda.com)
 * CC SA BY
 */
public class ObelusUtilities {
	
	private static ObelusDao dao = null;
	public static ObelusDao getDao() {
		if (dao == null) {
			dao = new ObelusDao();
		}
		return dao;
	}
	public static void setDao(ObelusDao dao) {
		ObelusUtilities.dao = dao;
	}
	
	private static long idSequential = 0;
	public static DecimalFormat DF_INNER_ID = new DecimalFormat("'M'00000");
	public static String newId() {
		return DF_INNER_ID.format(idSequential++);
	}
	
	public static void addGridbagLabeledProperty(Container parent, String name, Component propComponent, int row) {
		JLabel label = new JLabel(name);
		parent.add(label, new GridBagConstraints(
				0, row, // grid x y
				1,1, // span x y
				0.0,0.0, // weight x y
				GridBagConstraints.NORTHWEST, GridBagConstraints.NONE, // anchor, fill
				new Insets(2,2,2,2),
				0,0 // pad x y
				));
		parent.add(propComponent, new GridBagConstraints(
				1, row, // grid x y
				1,1, // span x y
				1.0,0.0, // weight x y
				GridBagConstraints.NORTHWEST, GridBagConstraints.HORIZONTAL, // anchor, fill
				new Insets(2,2,2,2),
				0,0 // pad x y
		));
	}
	
	/**
	 * Handle some Exception declared from some method, but which is for some reason utterly infeasible to happen.
	 * @param e
	 */
	public static void handleInconceivable(Exception e) {
		System.err.println("Inconceivable !!");
		e.printStackTrace(System.err);
	}
	
	public static void handle(Throwable e) {
		e.printStackTrace(System.err);
	}
}
