package obelus2.swing;

import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.GridLayout;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JPanel;

@SuppressWarnings("serial")
public class ButtonsWrapperPanel extends JPanel {
	private JPanel contentPane;
	private JPanel buttonsPane;
	
	public ButtonsWrapperPanel(JPanel contentPane) {
		this.contentPane = contentPane;
		setLayout(new BorderLayout());
		add(contentPane, BorderLayout.CENTER);
		// Buttons panel. Will be filled with #addButton
		buttonsPane = new JPanel(new GridLayout(1, 0));
		add(buttonsPane, BorderLayout.SOUTH);
	}
	
	public void addButton(Component c) {
		buttonsPane.add(c);
	}
	
	public JButton createAndAddButton(String caption, String action, ActionListener listener) {
		JButton newButton = new JButton(caption);
		newButton.setActionCommand(action);
		newButton.addActionListener(listener);
		buttonsPane.add(newButton);
		return newButton;
	}

	public JPanel getContentPane() {
		return contentPane;
	}
}
