package obelus2.swing;

import java.awt.BorderLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTabbedPane;

@SuppressWarnings("serial")
public class MainPanel extends JPanel {

// Will context be needed? - There is one main panel, that's easy to track by controller
//	private PanelContext context;
	
	protected JTabbedPane tabbedPane;
	protected JLabel statusBar;
	
	public MainPanel() {
		
		setLayout(new BorderLayout());
		
		tabbedPane = new JTabbedPane();
		add(tabbedPane, BorderLayout.CENTER);
		
		statusBar = new JLabel();
		add(statusBar, BorderLayout.SOUTH);
		
	}
	
	public void setStatusText(String text) {
		statusBar.setText(text);
	}
	
	public void addPanel(JPanel newPanel, String title) {
		tabbedPane.addTab(title, newPanel);
		tabbedPane.setSelectedComponent(newPanel);
	}
	
	public void setPanelActive(JPanel activated) {
		tabbedPane.setSelectedComponent(activated);
	}
	
	public void removePanel(JPanel removed) {
		int i = tabbedPane.indexOfComponent(removed);
		assert i >= 0;
		tabbedPane.removeTabAt(i);
	}
}
